<div class="main-container">
  <section class="left-navbar">
    <span class="material-icons admin-logo"> person </span>
    <span class="btn" (click)="getNurses()">Home</span>
    <span class="btn" (click)="toChangeRequest()">Change Requests</span>
    <span class="btn">Messages</span>
  </section>
  <section class="table-content">
    <mat-table #table [dataSource]="dataSource" class="table">
      <ng-container matColumnDef="nurse">
        <mat-header-cell *matHeaderCellDef> Nurse Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{ element.name }} </mat-cell>
      </ng-container>
      <ng-container matColumnDef="change-request">
        <mat-header-cell *matHeaderCellDef> Change Request </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <button mat-icon-button class="iconbutton" (click)="dialogBox()">
            change
          </button>
        </mat-cell>
      </ng-container>
      <mat-header-row *matHeaderRowDef="columnsToBeDisplayed"></mat-header-row>
      <mat-row *matRowDef="let row; columns: columnsToBeDisplayed"></mat-row>
    </mat-table>
    <mat-paginator #paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 20]">
    </mat-paginator>

    <div *ngIf="showDialogBox" class="dialog-box">
      <mat-form-field
        [formGroup]="form"
        class="pop-up"
        (ngSubmit)="addRequest(form)"
      >
        <input
          placeholder="Enter Nurse Name"
          type="text"
          formControlName="for"
          
        />
        <input
          placeholder="reason for change.."
          type="text"
          formControlName="reason"
        />
        <select name="replacement" id="" formControlName="replacement">
          <option [ngValue]="null" disabled>Choose replacement</option>
          <option *ngFor="let ele of allNurseList" [ngValue]="ele">
            {{ ele.name }}
          </option>
        </select>
       
       

        <button type="submit" (click)="addRequest(form)">Save</button>
      </mat-form-field>
    </div>
  </section>
</div>
